Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteCatConnectionInfo

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteCatConnectionInfo

extends java.rmi.Remote

Interface `RemoteCatConnectionInfo` contains the DB connection information of a catalog.

Method Summary
`java.lang.String` | `getClassName()` Returns the class name of the UDS.
`java.lang.String` | `getDatasourceName()` Returns the datasource name which this connection belongs to.
`java.lang.String` | `getDateFormat()` Returns the Date Format of the DB connection.
`java.lang.String` | `getDesc()` Returns the description of the DB connection (JDBC Connection, XML, Hierarchical, User Defined, Web Service).
`java.lang.String` | `getExtraCharacters()` Returns the Extra Characters of the DB connection.
`java.lang.String` | `getJdbcDriver()` Returns the jdbc driver of the DB connection.
`java.lang.String` | `getName()` Returns the name of the DB connection (JDBC Connection, XML, Hierarchical, User Defined, Web Service).
`java.lang.String` | `getPassword()` Returns the password of the DB connection.
`APIEnums.ConnectionNamePattern` | `getQualifiedNamePattern()` Returns the Name Pattern of the DB connection.
`java.lang.String` | `getQuoteCharacter()` Returns the Quote Character of the DB connection.
`APIEnums.ConnectionReadOnly` | `getReadOnly()` Returns the Read Only of the DB connection.
`java.lang.String` | `getRootName()` Returns the root name of the HDS.
`java.lang.String` | `getTimeFormat()` Returns the Time Format of the DB connection.
`java.lang.String` | `getTimestampFormat()` Returns the Timestamp Format of the DB connection.
`APIEnums.ConnectionTransactionIsolation` | `getTransactionIsolation()` Returns the Transaction Mode of the DB connection.
`java.lang.String` | `getType()` Returns the type of the DB connection (JDBC Connection, XML, Hierarchical, User Defined, Web Service).
`java.lang.String` | `getURIValue()` Returns the URI value of the HDS.
`java.lang.String` | `getURL()` Returns the URL of the DB connection.
`java.lang.String` | `getUser()` Returns the user of the DB connection.
`java.lang.String` | `getXSDValue()` Returns the XSD value of the HDS.
`boolean` | `isDefaultConnection()` indicates if the connection is default connection of the datasource.

Method Detail

### getDatasourceName

    java.lang.String getDatasourceName()
                                       throws java.rmi.RemoteException

  Returns the datasource name which this connection belongs to.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getType

    java.lang.String getType()
                             throws java.rmi.RemoteException

  Returns the type of the DB connection (JDBC Connection, XML, Hierarchical, User Defined, Web Service).

  Returns:
    type of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Returns the name of the DB connection (JDBC Connection, XML, Hierarchical, User Defined, Web Service).

  Returns:
    name of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isDefaultConnection

    boolean isDefaultConnection()
                                throws java.rmi.RemoteException

  indicates if the connection is default connection of the datasource.

  Returns:
    `true` true if it is default connection.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDesc

    java.lang.String getDesc()
                             throws java.rmi.RemoteException

  Returns the description of the DB connection (JDBC Connection, XML, Hierarchical, User Defined, Web Service).

  Returns:
    description of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getURL

    java.lang.String getURL()
                            throws java.rmi.RemoteException

  Returns the URL of the DB connection.

  Returns:
    URL of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getJdbcDriver

    java.lang.String getJdbcDriver()
                                   throws java.rmi.RemoteException

  Returns the jdbc driver of the DB connection.

  Returns:
    jdbc driver of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUser

    java.lang.String getUser()
                             throws java.rmi.RemoteException

  Returns the user of the DB connection.

  Returns:
    user of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPassword

    java.lang.String getPassword()
                                 throws java.rmi.RemoteException

  Returns the password of the DB connection.

  Returns:
    password of the DB connection.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDateFormat

    java.lang.String getDateFormat()
                                   throws java.rmi.RemoteException

  Returns the Date Format of the DB connection.

  Throws:
    `java.rmi.RemoteException`

### getQualifiedNamePattern

    APIEnums.ConnectionNamePattern getQualifiedNamePattern()
                                                           throws java.rmi.RemoteException

  Returns the Name Pattern of the DB connection.

  Throws:
    `java.rmi.RemoteException`

### getReadOnly

    APIEnums.ConnectionReadOnly getReadOnly()
                                            throws java.rmi.RemoteException

  Returns the Read Only of the DB connection.

  Throws:
    `java.rmi.RemoteException`

### getTimeFormat

    java.lang.String getTimeFormat()
                                   throws java.rmi.RemoteException

  Returns the Time Format of the DB connection.

  Throws:
    `java.rmi.RemoteException`

### getTimestampFormat

    java.lang.String getTimestampFormat()
                                        throws java.rmi.RemoteException

  Returns the Timestamp Format of the DB connection.

  Throws:
    `java.rmi.RemoteException`

### getTransactionIsolation

    APIEnums.ConnectionTransactionIsolation getTransactionIsolation()
                                                                    throws java.rmi.RemoteException

  Returns the Transaction Mode of the DB connection.

  Throws:
    `java.rmi.RemoteException`

### getExtraCharacters

    java.lang.String getExtraCharacters()
                                        throws java.rmi.RemoteException

  Returns the Extra Characters of the DB connection.

  Throws:
    `java.rmi.RemoteException`

### getQuoteCharacter

    java.lang.String getQuoteCharacter()
                                       throws java.rmi.RemoteException

  Returns the Quote Character of the DB connection.

  Throws:
    `java.rmi.RemoteException`

### getClassName

    java.lang.String getClassName()
                                  throws java.rmi.RemoteException

  Returns the class name of the UDS.

  Returns:
    class name of the UDS.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getURIValue

    java.lang.String getURIValue()
                                 throws java.rmi.RemoteException

  Returns the URI value of the HDS.

  Returns:
    URI value of the HDS.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getXSDValue

    java.lang.String getXSDValue()
                                 throws java.rmi.RemoteException

  Returns the XSD value of the HDS.

  Returns:
    XSD value of the HDS.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getRootName

    java.lang.String getRootName()
                                 throws java.rmi.RemoteException

  Returns the root name of the HDS.

  Returns:
    root name of the HDS.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD